Skip to content

Create 'Invoicerecipient'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
priorityinteger, (int32), [ -2147483648 .. 2147483647 ]required
view_onlybooleanrequired
invoiceobject(Invoice)required
namestring or null, <= 255 characters
organization_userobject or null(Organizationuser)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: tenant, sub_tenant

organizationobject or null(Organization)
tenantobject or null(Tenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: sub_tenant, organization_user

invoice_distribution_instructionArray of any or null
sub_tenantobject or null(Subtenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: tenant, organization_user

stakeholder_typestring or null
postal_addressobject or null(Address)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: custom_postal_address

custom_idstring or null, <= 128 characters
org_nostring or null, (luhn), [ 10 .. 11 ] characters
custom_postal_addressstring or null

Additional Validation Information:

This value can't bet set, when any of the following fields are set: postal_address

reminder_distribution_instructionArray of any or null
emailstring or null, (email), <= 254 characters
ssnstring or null, (luhn), [ 12 .. 13 ] characters
debt_distribution_instructionArray of any or null
phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'
POST
/accounting/invoices/invoicerecipient/
curl -i -X POST \
  https://dev.api.pigello.io/accounting/invoices/invoicerecipient/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "priority": -2147483648,
    "name": "string",
    "organization_user": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "tenant": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "invoice_distribution_instruction": [
      null
    ],
    "sub_tenant": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "stakeholder_type": "string",
    "postal_address": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "custom_id": "string",
    "org_no": "stringstri",
    "view_only": true,
    "custom_postal_address": "string",
    "reminder_distribution_instruction": [
      null
    ],
    "email": "user@example.com",
    "ssn": "stringstring",
    "invoice": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "debt_distribution_instruction": [
      null
    ],
    "phone_number": "string"
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

priorityinteger, (int32), [ -2147483648 .. 2147483647 ]required
view_onlybooleanrequired
invoiceobject(Invoice)required
namestring or null, <= 255 characters
organization_userobject or null(Organizationuser)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: tenant, sub_tenant

anonymized_atstring or null, (date-time)read-only
organizationobject or null(Organization)
tenantobject or null(Tenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: sub_tenant, organization_user

created_atstring, (date-time)read-only
invoice_distribution_instructionArray of any or null
sub_tenantobject or null(Subtenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: tenant, organization_user

stakeholder_typestring or null
postal_addressobject or null(Address)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: custom_postal_address

custom_idstring or null, <= 128 characters
org_nostring or null, (luhn), [ 10 .. 11 ] characters
custom_postal_addressstring or null

Additional Validation Information:

This value can't bet set, when any of the following fields are set: postal_address

reminder_distribution_instructionArray of any or null
emailstring or null, (email), <= 254 characters
ssnstring or null, (luhn), [ 12 .. 13 ] characters
debt_distribution_instructionArray of any or null
phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'
bookkeeping_scrubbed_atstring or null, (date-time)read-only
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "priority": -2147483648, "name": "string", "organization_user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "anonymized_at": "2019-08-24T14:15:22Z", "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "created_at": "2019-08-24T14:15:22Z", "invoice_distribution_instruction": [ null ], "sub_tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "stakeholder_type": "string", "postal_address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "custom_id": "string", "org_no": "stringstri", "view_only": true, "custom_postal_address": "string", "reminder_distribution_instruction": [ null ], "email": "user@example.com", "ssn": "stringstring", "invoice": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "debt_distribution_instruction": [ null ], "phone_number": "string", "bookkeeping_scrubbed_at": "2019-08-24T14:15:22Z" }